curl https://api.vouchmark.com/v1/wallet \
-H "Authorization: Bearer $TOKEN"
{
"success": true,
"message": "Wallet retrieved successfully",
"data": {
"balanceKobo": 5000000,
"paymentThresholdKobo": 1000000,
"autoTopUp": {
"enabled": true,
"triggerBelowKobo": 500000,
"rechargeAmountKobo": 10000000
},
"hasSavedCard": true,
"currency": "NGN"
}
}
Wallet & Billing
Get wallet
Retrieve your current wallet balance and configuration.
GET
/
v1
/
wallet
curl https://api.vouchmark.com/v1/wallet \
-H "Authorization: Bearer $TOKEN"
{
"success": true,
"message": "Wallet retrieved successfully",
"data": {
"balanceKobo": 5000000,
"paymentThresholdKobo": 1000000,
"autoTopUp": {
"enabled": true,
"triggerBelowKobo": 500000,
"rechargeAmountKobo": 10000000
},
"hasSavedCard": true,
"currency": "NGN"
}
}
Returns the authenticated account’s wallet balance, payment threshold, auto top-up configuration, and saved-card status.
All monetary values in this response are integer kobo, not naira (1 NGN = 100 kobo). Divide a kobo amount by 100 to get naira.
Query parameters
None.curl https://api.vouchmark.com/v1/wallet \
-H "Authorization: Bearer $TOKEN"
{
"success": true,
"message": "Wallet retrieved successfully",
"data": {
"balanceKobo": 5000000,
"paymentThresholdKobo": 1000000,
"autoTopUp": {
"enabled": true,
"triggerBelowKobo": 500000,
"rechargeAmountKobo": 10000000
},
"hasSavedCard": true,
"currency": "NGN"
}
}
Response fields
Show data
Show data
